diff --git a/src/main/java/net/minecraft/server/net/handler/NetServerHandler.java b/src/main/java/net/minecraft/server/net/handler/ServerPacketHandler.java
similarity index 67%
rename from src/main/java/net/minecraft/server/net/handler/NetServerHandler.java
rename to src/main/java/net/minecraft/server/net/handler/ServerPacketHandler.java
index a78c6a067..4b2550d1f 100644
--- a/src/main/java/net/minecraft/server/net/handler/NetServerHandler.java
+++ b/src/main/java/net/minecraft/server/net/handler/ServerPacketHandler.java
@@ -754,34 +704,34 @@ public class NetServerHandler extends NetHandler
     }
 
     @Override
-    public void handleCloseWindow(Packet101CloseWindow packet)
+    public void handleCloseWindow(ContainerClosePacket packet)
     {
         playerEntity.closeCraftingGui();
     }
 
     @Override
-    public void handleWindowClick(Packet102WindowClick packet)
+    public void handleWindowClick(ContainerClickPacket packet)
     {
-        if (playerEntity.craftingInventory.windowId == packet.window_Id && playerEntity.craftingInventory.getCanCraft(playerEntity))
+        if (playerEntity.craftingInventory.containerId == packet.window_Id && playerEntity.craftingInventory.isSynched(playerEntity))
         {
-            ItemStack itemstack = playerEntity.craftingInventory.clickInventorySlot(packet.action, packet.args, playerEntity);
+            ItemStack itemstack = playerEntity.craftingInventory.clicked(packet.action, packet.args, playerEntity);
             if (ItemStack.areItemStacksEqual(packet.itemStack, itemstack))
             {
-                playerEntity.playerNetServerHandler.sendPacket(new Packet106Transaction(packet.window_Id, packet.actionId, true));
+                playerEntity.playerNetServerHandler.sendPacket(new ContainerAckPacket(packet.window_Id, packet.actionId, true));
                 playerEntity.isChangingQuantityOnly = true;
-                playerEntity.craftingInventory.updateInventory();
+                playerEntity.craftingInventory.broadcastChanges();
                 playerEntity.updateHeldItem();
                 playerEntity.isChangingQuantityOnly = false;
             }
             else
             {
-                field_10_k.put(Integer.valueOf(playerEntity.craftingInventory.windowId), Short.valueOf(packet.actionId));
-                playerEntity.playerNetServerHandler.sendPacket(new Packet106Transaction(packet.window_Id, packet.actionId, false));
-                playerEntity.craftingInventory.setCanCraft(playerEntity, false);
+                field_10_k.put(Integer.valueOf(playerEntity.craftingInventory.containerId), Short.valueOf(packet.actionId));
+                playerEntity.playerNetServerHandler.sendPacket(new ContainerAckPacket(packet.window_Id, packet.actionId, false));
+                playerEntity.craftingInventory.setSynched(playerEntity, false);
                 ArrayList<ItemStack> arraylist = new ArrayList<>();
-                for (int i = 0; i < playerEntity.craftingInventory.inventorySlots.size(); i++)
+                for (int i = 0; i < playerEntity.craftingInventory.slots.size(); i++)
                 {
-                    arraylist.add(playerEntity.craftingInventory.inventorySlots.get(i).getStack());
+                    arraylist.add(playerEntity.craftingInventory.slots.get(i).getItem());
                 }
 
                 playerEntity.updateCraftingInventory(playerEntity.craftingInventory, arraylist);
@@ -790,27 +740,27 @@ public class NetServerHandler extends NetHandler
     }
 
     @Override
-    public void handleTransaction(Packet106Transaction packet)
+    public void handleTransaction(ContainerAckPacket packet)
     {
-        Short short1 = (Short) field_10_k.get(Integer.valueOf(playerEntity.craftingInventory.windowId));
-        if (short1 != null && packet.shortWindowId == short1.shortValue() && playerEntity.craftingInventory.windowId == packet.windowId && !playerEntity.craftingInventory.getCanCraft(playerEntity))
+        Short short1 = (Short) field_10_k.get(Integer.valueOf(playerEntity.craftingInventory.containerId));
+        if (short1 != null && packet.shortWindowId == short1.shortValue() && playerEntity.craftingInventory.containerId == packet.windowId && !playerEntity.craftingInventory.isSynched(playerEntity))
         {
-            playerEntity.craftingInventory.setCanCraft(playerEntity, true);
+            playerEntity.craftingInventory.setSynched(playerEntity, true);
         }
     }
 
     @Override
-    public void handleUpdateSign(Packet130UpdateSign packet)
+    public void handleUpdateSign(SignUpdatePacket packet)
     {
         if (!playerEntity.getGamemode().canInteract() || !playerEntity.isAlive()) return;
         WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
         if (worldserver.isBlockLoaded(packet.xPosition, packet.yPosition, packet.zPosition))
         {
-            TileEntity tileentity = worldserver.getBlockTileEntity(packet.xPosition, packet.yPosition, packet.zPosition);
-            if (tileentity instanceof TileEntitySign)
+            BlockEntity tileentity = worldserver.getBlockEntity(packet.xPosition, packet.yPosition, packet.zPosition);
+            if (tileentity instanceof SignBlockEntity)
             {
-                TileEntitySign tileentitysign = (TileEntitySign) tileentity;
-                if (!tileentitysign.getIsEditable(playerEntity))
+                SignBlockEntity tileentitysign = (SignBlockEntity) tileentity;
+                if (!tileentitysign.isEditableBy(playerEntity))
                 {
                     mcServer.logWarning("Player " + playerEntity.username + " just tried to change non-editable sign");
                     return;
@@ -841,12 +791,12 @@ public class NetServerHandler extends NetHandler
                 }
             }
 
-            if (tileentity instanceof TileEntitySign)
+            if (tileentity instanceof SignBlockEntity)
             {
                 int x = packet.xPosition;
                 int y = packet.yPosition;
                 int z = packet.zPosition;
-                TileEntitySign tileEntity = (TileEntitySign) tileentity;
+                SignBlockEntity tileEntity = (SignBlockEntity) tileentity;
                 for (int j1 = 0; j1 < 4; j1++)
                 {
                     tileEntity.signText[j1] = packet.signLines[j1];
@@ -855,43 +805,43 @@ public class NetServerHandler extends NetHandler
                 tileEntity.setColor(TextFormatting.FORMATTINGS[packet.color]);
                 tileEntity.setPicture(EnumSignPicture.values()[packet.picture]);
 
-                tileEntity.onInventoryChanged();
+                tileEntity.setChanged();
                 worldserver.markBlockNeedsUpdate(x, y, z);
             }
         }
     }
 
     @Override
-    public void handleUpdateCreativeInventory(Packet107UpdateCreativeInventory packet)
+    public void handleUpdateCreativeInventory(UpdateCreativeInventoryPacket packet)
     {
-        if (playerEntity.craftingInventory.windowId == packet.windowId && playerEntity.craftingInventory instanceof ContainerPlayerCreative)
+        if (playerEntity.craftingInventory.containerId == packet.windowId && playerEntity.craftingInventory instanceof CreativeInventoryMenu)
         {
-            ((ContainerPlayerCreative) playerEntity.craftingInventory).setInventoryStatus(packet.page, packet.searchText);
+            ((CreativeInventoryMenu) playerEntity.craftingInventory).setInventoryStatus(packet.page, packet.searchText);
         }
     }
 
     @Override
-    public void handleSetHotbarOffset(Packet108SetHotbarOffset packet)
+    public void handleSetHotbarOffset(SetHotbarOffsetPacket packet)
     {
         playerEntity.inventory.hotbarOffset = packet.hotbarOffset;
     }
     
     @Override
-    public void handleItemName(Packet137SetItemName packet)
+    public void handleItemName(SetItemNamePacket packet)
     {
         String name = packet.name;
         if (name.length() > 16) name = packet.name.substring(0, 16);
-        playerEntity.inventory.getStackInSlot(packet.slot).setCustomName(name);
+        playerEntity.inventory.getItem(packet.slot).setCustomName(name);
     }
 
     @Override
-    public void handleSetPaintingMotive(Packet139SetPaintingMotive packet)
+    public void handleSetPaintingMotive(SetPaintingArtPacket packet)
     {
         playerEntity.setSelectedArt(ArtType.values.get(packet.motive));
     }
     
     @Override
-    public void handleCustomPayload(Packet250CustomPayload packet) {
+    public void handleCustomPayload(CustomPayloadPacket packet) {
     	if("BTA|RotationLock".equals(packet.channel)) {
     		if(packet.data.length == 4) {
         		playerEntity.rotationLock = Direction.getDirectionById(packet.data[0]);
@@ -900,9 +850,9 @@ public class NetServerHandler extends NetHandler
         		playerEntity.placementModeOverride = PlacementMode.get(packet.data[3]);
     		}
     	}else if("BTA|Flag".equals(packet.channel)) {
-    		if(packet.data.length == 24 * 16 && playerEntity.craftingInventory instanceof ContainerFlag) {
-    			ContainerFlag containerFlag = (ContainerFlag) playerEntity.craftingInventory;
-    			TileEntityFlag tileEntity = containerFlag.tileEntity;
+    		if(packet.data.length == 24 * 16 && playerEntity.craftingInventory instanceof FlagMenu) {
+    			FlagMenu flagMenu = (FlagMenu) playerEntity.craftingInventory;
+    			FlagBlockEntity tileEntity = flagMenu.flag;
     			
     			if(tileEntity.owner == null || tileEntity.owner.isEmpty() || tileEntity.owner.equals(playerEntity.username)) {
         			tileEntity.owner = playerEntity.username;
@@ -917,7 +867,7 @@ public class NetServerHandler extends NetHandler
     			}
     		}
     	} else if ("BTA|WandMonster".equals(packet.channel)) {
-            if (playerEntity.getHeldItem() != null && playerEntity.getHeldItem().getItem() == Item.wandMonsterSpawner){
+            if (playerEntity.getHeldItem() != null && playerEntity.getHeldItem().getItem() == Items.WAND_MONSTER_SPAWNER){
                 String id = new String(packet.data, StandardCharsets.UTF_8);
                 playerEntity.getHeldItem().getData().putString("monster", id);
             }
@@ -935,7 +885,7 @@ public class NetServerHandler extends NetHandler
     public NetworkManager netManager;
     public boolean connectionClosed;
     private MinecraftServer mcServer;
-    private EntityPlayerMP playerEntity;
+    private ServerPlayer playerEntity;
     private int field_15_f;
     private int field_22004_g;
     private int playerInAirTime;
diff --git a/src/main/java/net/minecraft/server/net/thread/ThreadLoginVerifier.java b/src/main/java/net/minecraft/server/net/thread/ThreadLoginVerifier.java
index efa152a0f..19b67f889 100644
--- a/src/main/java/net/minecraft/server/net/thread/ThreadLoginVerifier.java
+++ b/src/main/java/net/minecraft/server/net/thread/ThreadLoginVerifier.java
@@ -1,7 +1,7 @@
 package net.minecraft.server.net.thread;
 
-import net.minecraft.server.net.handler.NetLoginHandler;
-import net.minecraft.core.net.packet.Packet1Login;
+import net.minecraft.core.net.packet.LoginPacket;
+import net.minecraft.server.net.handler.LoginPacketHandler;
 
 import java.io.BufferedReader;
 import java.io.InputStreamReader;
@@ -9,16 +9,16 @@ import java.net.URL;
 import java.net.URLEncoder;
 
 // Referenced classes of package net.minecraft.src:
-//            NetLoginHandler, Packet1Login
+//            LoginPacketHandler, LoginPacket
 
 public class ThreadLoginVerifier extends Thread
 {
 
-    public ThreadLoginVerifier(NetLoginHandler netloginhandler, Packet1Login packet1login)
+    public ThreadLoginVerifier(LoginPacketHandler netloginhandler, LoginPacket loginPacket)
     {
 //        super();
         loginHandler = netloginhandler;
-        loginPacket = packet1login;
+        this.loginPacket = loginPacket;
     }
 
     @Override
@@ -26,14 +26,14 @@ public class ThreadLoginVerifier extends Thread
     {
         try
         {
-            String s = NetLoginHandler.getServerId(loginHandler);
+            String s = LoginPacketHandler.getServerId(loginHandler);
             URL url = new URL((new StringBuilder()).append("http://session.minecraft.net/game/checkserver.jsp?user=").append(URLEncoder.encode(loginPacket.username, "UTF-8")).append("&serverId=").append(URLEncoder.encode(s, "UTF-8")).toString());
             BufferedReader bufferedreader = new BufferedReader(new InputStreamReader(url.openStream()));
             String s1 = bufferedreader.readLine();
             bufferedreader.close();
             if(s1.equals("YES"))
             {
-                NetLoginHandler.setLoginPacket(loginHandler, loginPacket);
+                LoginPacketHandler.setLoginPacket(loginHandler, loginPacket);
             } else
             {
                 loginHandler.kickUser("Failed to verify username!");
@@ -46,6 +46,6 @@ public class ThreadLoginVerifier extends Thread
         }
     }
 
-    final Packet1Login loginPacket; /* synthetic field */
-    final NetLoginHandler loginHandler; /* synthetic field */
+    final LoginPacket loginPacket; /* synthetic field */
+    final LoginPacketHandler loginHandler; /* synthetic field */
 }
diff --git a/src/main/java/net/minecraft/server/player/PlayerListBox.java b/src/main/java/net/minecraft/server/player/PlayerListBox.java
index d5b00603d..7253843ee 100644
--- a/src/main/java/net/minecraft/server/player/PlayerListBox.java
+++ b/src/main/java/net/minecraft/server/player/PlayerListBox.java
@@ -3,12 +3,12 @@ package net.minecraft.server.player;
 import java.util.Vector;
 import javax.swing.JList;
 
-import net.minecraft.server.entity.player.EntityPlayerMP;
+import net.minecraft.server.entity.player.ServerPlayer;
 import net.minecraft.server.MinecraftServer;
 import net.minecraft.core.net.IUpdatePlayerListBox;
 
 // Referenced classes of package net.minecraft.src:
-//            IUpdatePlayerListBox, ServerConfigurationManager, EntityPlayerMP
+//            IUpdatePlayerListBox, ServerConfigurationManager, ServerPlayer
 
 public class PlayerListBox extends JList
     implements IUpdatePlayerListBox
@@ -29,7 +29,7 @@ public class PlayerListBox extends JList
             Vector vector = new Vector();
             for(int i = 0; i < mcServer.playerList.playerEntities.size(); i++)
             {
-                vector.add(((EntityPlayerMP)mcServer.playerList.playerEntities.get(i)).username);
+                vector.add(((ServerPlayer)mcServer.playerList.playerEntities.get(i)).username);
             }
 
             setListData(vector);
diff --git a/src/main/java/net/minecraft/server/player/PlayerManager.java b/src/main/java/net/minecraft/server/player/PlayerManager.java
index 8a25392c3..b4327f74d 100644
--- a/src/main/java/net/minecraft/server/player/PlayerManager.java
+++ b/src/main/java/net/minecraft/server/player/PlayerManager.java
@@ -4,18 +4,18 @@ import java.util.ArrayList;
 import java.util.List;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.net.packet.*;
-import net.minecraft.core.player.PlayerHash;
+import net.minecraft.server.net.PlayerHash;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkCoordinate;
-import net.minecraft.server.entity.player.EntityPlayerMP;
+import net.minecraft.server.entity.player.ServerPlayer;
 import net.minecraft.server.world.WorldServer;
 import net.minecraft.server.MinecraftServer;
 
 public class PlayerManager
 {
-    public final List<EntityPlayerMP> players;
+    public final List<ServerPlayer> players;
     private final PlayerHash playerInstances;
     private final List<PlayerInstance> playerInstancesToUpdate;
     private final MinecraftServer server;
@@ -78,7 +78,7 @@ public class PlayerManager
         }
     }
 
-    public void addPlayer(EntityPlayerMP player)
+    public void addPlayer(ServerPlayer player)
     {
         int xChunk = (int)player.x >> 4;
         int zChunk = (int)player.z >> 4;
@@ -114,7 +114,7 @@ public class PlayerManager
         players.add(player);
     }
 
-    public void removePlayer(EntityPlayerMP entityplayermp)
+    public void removePlayer(ServerPlayer entityplayermp)
     {
         int i = (int)entityplayermp.field_9155_d >> 4;
         int j = (int)entityplayermp.field_9154_e >> 4;
@@ -145,7 +145,7 @@ public class PlayerManager
         return j1 >= -viewRadius && j1 <= viewRadius;
     }
 
-    public void func_543_c(EntityPlayerMP entityplayermp)
+    public void func_543_c(ServerPlayer entityplayermp)
     {
         int i = (int)entityplayermp.x >> 4;
         int j = (int)entityplayermp.z >> 4;
@@ -195,7 +195,7 @@ public class PlayerManager
     }
 
     class PlayerInstance {
-        private final List<EntityPlayerMP> players;
+        private final List<ServerPlayer> players;
         private final int chunkX;
         private final int chunkZ;
         private final ChunkCoordinate currentChunk;
@@ -218,18 +218,18 @@ public class PlayerManager
             server.getDimensionWorld(dimension).chunkProviderServer.prepareChunk(chunkX, chunkZ);
         }
 
-        public void addPlayer(EntityPlayerMP player) {
+        public void addPlayer(ServerPlayer player) {
             if (players.contains(player)) {
                 throw new IllegalStateException("Failed to add player. " + player + " already is in chunk " + chunkX + ", " + chunkZ);
             } else {
                 player.field_420_ah.add(currentChunk);
-                player.playerNetServerHandler.sendPacket(new Packet50PreChunk(currentChunk.x, currentChunk.z, true));
+                player.playerNetServerHandler.sendPacket(new ChunkVisibilityPacket(currentChunk.x, currentChunk.z, true));
                 players.add(player);
                 player.loadedChunks.add(currentChunk);
             }
         }
 
-        public void removePlayer(EntityPlayerMP player) {
+        public void removePlayer(ServerPlayer player) {
             if (!players.contains(player)) {
                 return;
             }
@@ -244,7 +244,7 @@ public class PlayerManager
             }
             player.loadedChunks.remove(currentChunk);
             if (player.field_420_ah.contains(currentChunk)) {
-                player.playerNetServerHandler.sendPacket(new Packet50PreChunk(chunkX, chunkZ, false));
+                player.playerNetServerHandler.sendPacket(new ChunkVisibilityPacket(chunkX, chunkZ, false));
             }
         }
 
@@ -287,7 +287,7 @@ public class PlayerManager
 
         public void sendPacketToPlayersInInstance(Packet packet) {
             for (int i = 0; i < players.size(); i++) {
-                EntityPlayerMP entityplayermp = (EntityPlayerMP) players.get(i);
+                ServerPlayer entityplayermp = (ServerPlayer) players.get(i);
                 if (entityplayermp.field_420_ah.contains(currentChunk)) {
                     entityplayermp.playerNetServerHandler.sendPacket(packet);
                 }
@@ -304,9 +304,9 @@ public class PlayerManager
                 int x = chunkX * Chunk.CHUNK_SIZE_X + minX;
                 int y = minY;
                 int z = chunkZ * Chunk.CHUNK_SIZE_Z + minZ;
-                sendPacketToPlayersInInstance(new Packet53BlockChange(x, y, z, world));
+                sendPacketToPlayersInInstance(new BlockUpdatePacket(x, y, z, world));
                 if (Block.isEntityTile[world.getBlockId(x, y, z)]) {
-                    updateTileEntity(world.getBlockTileEntity(x, y, z));
+                    updateTileEntity(world.getBlockEntity(x, y, z));
                 }
             }
             else if(numBlocksToUpdate >= 10)
@@ -328,16 +328,16 @@ public class PlayerManager
     //	            ySize = world.getHeightBlocks();
     //	            zSize = 16;
     //            }
-                sendPacketToPlayersInInstance(new Packet51MapChunk(minWorldX, minWorldY, minWorldZ, xSize, ySize, zSize, world));
-                List<TileEntity> list = world.getTileEntityList(minWorldX, minWorldY, minWorldZ, minWorldX + xSize, minWorldY + ySize, minWorldZ + zSize);
+                sendPacketToPlayersInInstance(new BlockRegionUpdatePacket(minWorldX, minWorldY, minWorldZ, xSize, ySize, zSize, world));
+                List<BlockEntity> list = world.getTileEntityList(minWorldX, minWorldY, minWorldZ, minWorldX + xSize, minWorldY + ySize, minWorldZ + zSize);
                 for(int j3 = 0; j3 < list.size(); j3++)
                 {
-                    updateTileEntity((TileEntity)list.get(j3));
+                    updateTileEntity((BlockEntity)list.get(j3));
                 }
 
             } else
             {
-                sendPacketToPlayersInInstance(new Packet52MultiBlockChange(chunkX, chunkZ, blocksToUpdate, numBlocksToUpdate, world));
+                sendPacketToPlayersInInstance(new ChunkBlocksUpdatePacket(chunkX, chunkZ, blocksToUpdate, numBlocksToUpdate, world));
                 for(int k = 0; k < numBlocksToUpdate; k++)
                 {
                     int x = chunkX * 16 + (blocksToUpdate[k] >> 0 & 0x0F);
@@ -345,7 +345,7 @@ public class PlayerManager
                     int z = chunkZ * 16 + (blocksToUpdate[k] >> 4 & 0x0F);
                     if(Block.isEntityTile[world.getBlockId(x, y, z)])
                     {
-                        updateTileEntity(world.getBlockTileEntity(x, y, z));
+                        updateTileEntity(world.getBlockEntity(x, y, z));
                     }
                 }
 
@@ -353,7 +353,7 @@ public class PlayerManager
             numBlocksToUpdate = 0;
         }
 
-        private void updateTileEntity(TileEntity tileentity) {
+        private void updateTileEntity(BlockEntity tileentity) {
             if (tileentity != null) {
                 Packet packet = tileentity.getDescriptionPacket();
                 if (packet != null) {
diff --git a/src/main/java/net/minecraft/server/util/helper/PlayerList.java b/src/main/java/net/minecraft/server/util/helper/PlayerList.java
index ccefcad63..72d8d9283 100644
--- a/src/main/java/net/minecraft/server/util/helper/PlayerList.java
+++ b/src/main/java/net/minecraft/server/util/helper/PlayerList.java
@@ -1,8 +1,8 @@
 package net.minecraft.server.util.helper;
 
-import net.minecraft.core.net.packet.Packet138PlayerList;
+import net.minecraft.core.net.packet.PlayerListPacket;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.EntityPlayerMP;
+import net.minecraft.server.entity.player.ServerPlayer;
 
 public class PlayerList {
 	
@@ -15,12 +15,12 @@ public class PlayerList {
 		String[] scores = new String[playerCount];
     	
     	for(int i=0; i < playerCount; i++) {
-    		EntityPlayerMP player = server.playerList.playerEntities.get(i);
+    		ServerPlayer player = server.playerList.playerEntities.get(i);
     		
     		players[i] = player.getDisplayName();
     		scores[i] = String.valueOf(player.getScore());
     	}
         
-        server.playerList.sendPacketToAllPlayers(new Packet138PlayerList(playerCount, players, scores));
+        server.playerList.sendPacketToAllPlayers(new PlayerListPacket(playerCount, players, scores));
     }
 }
diff --git a/src/main/java/net/minecraft/server/world/ServerPlayerController.java b/src/main/java/net/minecraft/server/world/ServerPlayerController.java
index fba54f23b..56ee1b149 100644
--- a/src/main/java/net/minecraft/server/world/ServerPlayerController.java
+++ b/src/main/java/net/minecraft/server/world/ServerPlayerController.java
@@ -4,18 +4,18 @@ package net.minecraft.server.world;
 import net.minecraft.core.block.Block;
 
 // Referenced classes of package net.minecraft.src:
-//            WorldServer, Block, EntityPlayer, ItemStack, 
-//            EntityPlayerMP, Packet53BlockChange, NetServerHandler, InventoryPlayer, 
+//            WorldServer, Block, Player, ItemStack,
+//            ServerPlayer, BlockUpdatePacket, ServerPacketHandler, InventoryPlayer,
 //            World
 
-import net.minecraft.core.block.entity.TileEntity;
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.net.packet.Packet53BlockChange;
+import net.minecraft.core.net.packet.BlockUpdatePacket;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.player.EntityPlayerMP;
+import net.minecraft.server.entity.player.ServerPlayer;
 
 public class ServerPlayerController
 {
@@ -120,7 +120,7 @@ public class ServerPlayerController
     		}
     	}
         Block block = Block.getBlock(id);
-        TileEntity tileEntity = thisWorld.getBlockTileEntity(x, y, z);
+        BlockEntity blockEntity = thisWorld.getBlockEntity(x, y, z);
         thisWorld.playSoundEffect(player, 2001, x, y, z, id);
         boolean flag = removeBlock(x, y, z);
         if(flag) {
@@ -130,8 +130,8 @@ public class ServerPlayerController
         }
         if(flag && player.canHarvestBlock(Block.blocksList[id]) && player.getGamemode().dropBlockOnBreak())
         {
-            Block.blocksList[id].harvestBlock(thisWorld, player, x, y, z, meta, tileEntity);
-            ((EntityPlayerMP) player).playerNetServerHandler.sendPacket(new Packet53BlockChange(x, y, z, thisWorld));
+            Block.blocksList[id].harvestBlock(thisWorld, player, x, y, z, meta, blockEntity);
+            ((ServerPlayer) player).playerNetServerHandler.sendPacket(new BlockUpdatePacket(x, y, z, thisWorld));
         }
         ItemStack itemstack = player.getCurrentEquippedItem();
         if(itemstack != null)
@@ -145,7 +145,7 @@ public class ServerPlayerController
         return flag;
     }
 
-    public boolean func_6154_a(EntityPlayer entityplayer, World world, ItemStack itemstack)
+    public boolean func_6154_a(Player entityplayer, World world, ItemStack itemstack)
     {
         if (!entityplayer.getGamemode().canInteract()) return false;
         int i = itemstack.stackSize;
@@ -164,7 +164,7 @@ public class ServerPlayerController
         }
     }
 
-    public boolean activateBlockOrUseItem(EntityPlayer entityplayer, World world, ItemStack itemstack, int i, int j, int k, Side side, double xPlaced, double yPlaced)
+    public boolean activateBlockOrUseItem(Player entityplayer, World world, ItemStack itemstack, int i, int j, int k, Side side, double xPlaced, double yPlaced)
     {
         if (!entityplayer.getGamemode().canInteract()) return false;
         int i1 = world.getBlockId(i, j, k);
@@ -186,7 +186,7 @@ public class ServerPlayerController
     }
 
     private WorldServer thisWorld;
-    public EntityPlayer player;
+    public Player player;
     private int blockHitTicks;
     private int currentlyMiningX;
     private int currentlyMiningY;
diff --git a/src/main/java/net/minecraft/server/world/WorldManager.java b/src/main/java/net/minecraft/server/world/WorldManager.java
index 5cdcf0983..62e3d8f79 100644
--- a/src/main/java/net/minecraft/server/world/WorldManager.java
+++ b/src/main/java/net/minecraft/server/world/WorldManager.java
@@ -3,12 +3,12 @@ package net.minecraft.server.world;
 import java.util.HashSet;
 import java.util.Set;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.EntityItem;
-import net.minecraft.core.entity.player.EntityPlayer;
-import net.minecraft.core.net.packet.Packet61PlaySoundEffect;
-import net.minecraft.core.net.packet.Packet62PlaySoundDirect;
+import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.net.packet.PlaySoundEffectPacket;
+import net.minecraft.core.net.packet.PlaySoundEffectDirectPacket;
 import net.minecraft.core.sound.SoundTypes;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.world.LevelListener;
@@ -16,8 +16,8 @@ import net.minecraft.server.MinecraftServer;
 
 // Referenced classes of package net.minecraft.src:
 //            IWorldAccess, WorldServer, WorldProvider, EntityTracker, 
-//            ServerConfigurationManager, Packet61DoorChange, Entity, TileEntity, 
-//            EntityPlayer
+//            ServerConfigurationManager, Packet61DoorChange, Entity, BlockEntity,
+//            Player
 
 public class WorldManager
     implements LevelListener
@@ -50,9 +50,9 @@ public class WorldManager
 	public void entityAdded(Entity entity)
     {
     	// Fix crash
-    	if(entity instanceof EntityItem) {
-    		EntityItem entityItem = (EntityItem) entity;
-    		if(entityItem.item == null || entityItem.item.getItem() == null) {
+    	if(entity instanceof ItemEntity) {
+    		ItemEntity itemEntity = (ItemEntity) entity;
+    		if(itemEntity.item == null || itemEntity.item.getItem() == null) {
     			return;
     		}
     	}
@@ -80,14 +80,14 @@ public class WorldManager
 			}
 			return;
 		}
-		Packet62PlaySoundDirect packet = new Packet62PlaySoundDirect(soundId, soundType, x, y, z, volume, pitch);
+		PlaySoundEffectDirectPacket packet = new PlaySoundEffectDirectPacket(soundId, soundType, x, y, z, volume, pitch);
 		float range = 16.0f;
 		if(volume > 1.0f) {
 			range *= volume;
 		}
-		EntityPlayer entityPlayer = null;
-		if(player instanceof EntityPlayer) {
-			entityPlayer = (EntityPlayer) player;
+		Player entityPlayer = null;
+		if(player instanceof Player) {
+			entityPlayer = (Player) player;
 		}
 		mcServer.playerList.sendPacketToOtherPlayersAroundPoint(entityPlayer, x, y, z, range, worldServer.dimension.id, packet);
     }
@@ -114,14 +114,14 @@ public class WorldManager
     }
 
     @Override
-	public void tileEntityChanged(int x, int y, int z, TileEntity tileEntity)
+	public void tileEntityChanged(int x, int y, int z, BlockEntity blockEntity)
     {
-        mcServer.playerList.sendTileEntityToPlayer(x, y, z, tileEntity);
+        mcServer.playerList.sendTileEntityToPlayer(x, y, z, blockEntity);
     }
 
     @Override
-	public void levelEvent(EntityPlayer player, int id, int x, int y, int z, int data)
+	public void levelEvent(Player player, int id, int x, int y, int z, int data)
     {
-        mcServer.playerList.sendPacketToOtherPlayersAroundPoint(player, x, y, z, 64D, worldServer.dimension.id, new Packet61PlaySoundEffect(id, x, y, z, data));
+        mcServer.playerList.sendPacketToOtherPlayersAroundPoint(player, x, y, z, 64D, worldServer.dimension.id, new PlaySoundEffectPacket(id, x, y, z, data));
     }
 }
